# Uses of Interface
org.eclipse.ui.console.IConsoleListener

Packages that use IConsoleListener
Package
Description
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.

## Uses of IConsoleListener in org.eclipse.ui.console

Methods in org.eclipse.ui.console with parameters of type IConsoleListener
Modifier and Type
Method
Description
`void`
IConsoleManager.`addConsoleListener(IConsoleListener listener)`
Registers the given listener for console notifications.
`void`
IConsoleManager.`removeConsoleListener(IConsoleListener listener)`
Unregisters the given listener for console notifications.